include:
  - local: 'rhel.yml'

rhel:disable-repos:
  extends:
    - .rhel:base
  image: igwn/base:el7-testing
  stage: test
  needs: []
  variables:
    DISABLE_REPOS: "htcondor osg osg-testing"
  before_script:
    # make sure we can find cvmfs-config-osg before we disable anything
    - npkgs=$(repoquery -a --queryformat "%{name}" | grep -c "cvmfs-config-osg$")
      && test ${npkgs} -ge 1
      || true
    # then proceed
    - !reference [".rhel:base", before_script]
  script:
    # not check again to make sure we can't find the package any more
    - test $(repoquery -a --queryformat "%{name}" | grep -c "cvmfs-config-osg$") -eq 0

.srpm:
  extends:
    - .rhel:srpm
  stage: source
  needs: []
  variables:
    EPEL: "true"
    SRPM_DEPENDENCIES: "python-srpm-macros python3-rpm-macros"
    TARBALL: gwosc-*.tar.gz
  script:
    # download the tarball
    - curl -sLO https://pypi.io/packages/source/g/gwosc/gwosc-0.7.1.tar.gz
    # build the SRPM
    - !reference [".rhel:srpm", script]

rhel:srpm:centos7:
  extends:
    - .srpm
  image: centos:7

rhel:srpm:rl8:
  extends:
    - .srpm
  image: rockylinux:8

.rpm:
  extends:
    - .rhel:rpm
  stage: build
  variables:
    EPEL: "true"
    SRPM: gwosc*.src.rpm

rhel:rpm:centos7:
  extends:
    - .rpm
  needs:
    - rhel:srpm:centos7
  image: centos:7

rhel:rpm:rl8:
  extends:
    - .rpm
  needs:
    - rhel:srpm:rl8
  image: rockylinux:8
  variables:
    POWERTOOLS: "true"

# assert that setuptools/easy_install has been successfully disabled
rhel:rpm:disable-index-url:
  extends:
    - .rpm
  needs: []
  script:
    # install easy_install
    - yum -y -q install /usr/bin/easy_install-3
    # print the ~/.pydistutils.cfg
    - cat ~/.pydistutils.cfg
    # attempt to install something, if it works, that's bad
    - if (/usr/bin/easy_install-3 wheel); then
        echo "Installed wheel when I should not have been able to";
        exit 1;
      else
        echo "Successfully failed to install with easy_install";
        exit 0;
      fi

rhel:rpm:enable-index-url:
  extends:
    - rhel:rpm:disable-index-url
  variables:
    DISABLE_PYTHON_PACKAGE_INDEX: "false"
  script:
    # install easy_install
    - yum -y -q install /usr/bin/easy_install-3
    # print the ~/.pydistutils.cfg
    - cat ~/.pydistutils.cfg || true
    # attempt to install something, if it works, that's bad
    - if (/usr/bin/easy_install-3 wheel); then
        echo "Successfully installed wheel as expected";
        exit 0;
      else
        echo "Failed to install with easy_install";
        exit 1;
      fi

rpmlint:
  extends:
    - .rhel:lint
  stage: lint
  needs:
    - rhel:rpm:rl8
  script:
    # run the linter
    - !reference [".rhel:lint", script]
    # check that it actually ran
    - test -f rpmlint.log

rpmlint:sl7:
  extends: rpmlint
  image: igwn/base:el7

rpmlint-with-options:
  extends: rpmlint
  variables:
    RPMLINT_OPTIONS: "--info"

rpmlint-installed:
  extends: rpmlint
  variables:
    INSTALLED_RPMS: "python3-gwosc"
    RPMLINT_OPTIONS: "--info --verbose"

rhel:rpm:allinone:
  extends:
    - .rhel:rpm
  image: rockylinux:8
  stage: build
  needs: []
  variables:
    EPEL: "true"
    POWERTOOLS: "true"
    RPMBUILD_OPTIONS: "-vv"
  before_script:
    - !reference [".rhel:srpm", before_script]
    - !reference [".rhel:rpm", before_script]
  script:
    - export TARBALL="gwosc-0.7.1.tar.gz"
    - curl --silent -L -O https://pypi.io/packages/source/${TARBALL::1}/${TARBALL%-*}/${TARBALL}
    - !reference [".rhel:srpm", script]
    - export SRPM="gwosc*.src.rpm"
    - !reference [".rhel:rpm", script]
